Apache Tomcat 6.0.53

## org.apache.el.parser
Class AstMod

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.ArithmeticNode
                  org.apache.el.parser.AstMod

All Implemented Interfaces:
  Node

    public final class AstMod

extends ArithmeticNode

Author:
  Jacob Hookom [jacob@hookom.net]

Field Summary

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstMod(int id)`

Method Summary
`java.lang.Object` | `getValue(EvaluationContext ctx)`

Methods inherited from class org.apache.el.parser.ArithmeticNode
`getType`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, dump, equals, getImage, getMethodInfo, hashCode, invoke, isReadOnly, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, setValue, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AstMod

    public AstMod(int id)

Method Detail

### getValue

    public java.lang.Object getValue(EvaluationContext ctx)
                              throws javax.el.ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.